Subject: Re: Next release (5.3)
From: Bart Schaefer <[email-masked]>
To: "Zsh Hackers' List" <[email-masked]>
Date: Mon, 4 Jul 2016 23:33:25 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Jul 5,  8:00am, Sebastian Gniazdowski wrote:
} Subject: Re: Next release (5.3)
}
} On 4 July 2016 at 17:04, Bart Schaefer <[email-masked]> wrote:
} > (4) Sebastian's mysterious slowdown on the first run of a nested
} >     pair of autoload functions
} 
} Isn't this settled? Large data passed to positional parameters uses
} heap, high heap usage causes slowness. Double call with the same large
} positional parameters - twice as much heap usage, and more slow down.

That doesn't explain why it happens for the inner autoload *every time
around the loop* in the outer one.  Once loaded, the second and later
calls should be faster.

(Unless it's simply the case that the heap from making the call to the
outer function is so large that it's affecting everything downstream.)